Package org.w3._1999.xhtml

# Class Head

java.lang.Object
org.w3._1999.xhtml.Head

public class Head extends Object
<p>Java class for anonymous complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <group ref="{http://www.w3.org/1999/xhtml}head.misc"/> <choice> <sequence> <element ref="{http://www.w3.org/1999/xhtml}title"/> <group ref="{http://www.w3.org/1999/xhtml}head.misc"/> <sequence minOccurs="0"> <element ref="{http://www.w3.org/1999/xhtml}base"/> <group ref="{http://www.w3.org/1999/xhtml}head.misc"/> </sequence> </sequence> <sequence> <element ref="{http://www.w3.org/1999/xhtml}base"/> <group ref="{http://www.w3.org/1999/xhtml}head.misc"/> <element ref="{http://www.w3.org/1999/xhtml}title"/> <group ref="{http://www.w3.org/1999/xhtml}head.misc"/> </sequence> </choice> </sequence> <attGroup ref="{http://www.w3.org/1999/xhtml}i18n"/> <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" /> <attribute name="profile" type="{http://www.w3.org/1999/xhtml}URI" /> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Object>`
  `content`
  Gets the rest of the content model.
  `protected String`
  `dir`
  `protected String`
  `id`
  `protected String`
  `lang`
  `protected String`
  `profile`
  `protected String`
  `xmlLang`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Head()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Object>`
  `getContent()`
  Gets the rest of the content model.
  `String`
  `getDir()`
  Gets the value of the dir property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getLang()`
  Gets the value of the lang property.
  `String`
  `getProfile()`
  Gets the value of the profile property.
  `String`
  `getXmlLang()`
  Gets the value of the xmlLang property.
  `void`
  `setDir(String value)`
  Sets the value of the dir property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setLang(String value)`
  Sets the value of the lang property.
  `void`
  `setProfile(String value)`
  Sets the value of the profile property.
  `void`
  `setXmlLang(String value)`
  Sets the value of the xmlLang property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### content

    protected List<Object> content
    Gets the rest of the content model. <p> You are getting this "catch-all" property because of the following reason: The field name "Base" is used by two different parts of a schema. See: line 658 of file:/home/btharris/Projects/Spdf/sscWebServices/schema/xhtml1-strict.xsd line 653 of file:/home/btharris/Projects/Spdf/sscWebServices/schema/xhtml1-strict.xsd <p> To get rid of this property, apply a property customization to one of both of the following declarations to change their names:

  - ### id

    protected String id

  - ### profile

    protected String profile

  - ### lang

    protected String lang

  - ### xmlLang

    protected String xmlLang

  - ### dir

    protected String dir

- ## Constructor Details

  - ### Head

    public Head()

- ## Method Details

  - ### getContent

    public List<Object> getContent()
    Gets the rest of the content model. <p> You are getting this "catch-all" property because of the following reason: The field name "Base" is used by two different parts of a schema. See: line 658 of file:/home/btharris/Projects/Spdf/sscWebServices/schema/xhtml1-strict.xsd line 653 of file:/home/btharris/Projects/Spdf/sscWebServices/schema/xhtml1-strict.xsd <p> To get rid of this property, apply a property customization to one of both of the following declarations to change their names: Gets the value of the content property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the content property.

    For example, to add a new item, do as follows:

         getContent().add(newItem);

    Objects of the following type(s) are allowed in the list `Base` `Link` `Meta` `Object` `Script` `Style` `Title`

    Returns:
      The value of the content property.

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getProfile

    public String getProfile()
    Gets the value of the profile property.
    Returns:
      possible object is `String`

  - ### setProfile

    public void setProfile(String value)
    Sets the value of the profile property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLang

    public String getLang()
    Gets the value of the lang property.
    Returns:
      possible object is `String`

  - ### setLang

    public void setLang(String value)
    Sets the value of the lang property.
    Parameters:
      `value` - allowed object is `String`

  - ### getXmlLang

    public String getXmlLang()
    Gets the value of the xmlLang property.
    Returns:
      possible object is `String`

  - ### setXmlLang

    public void setXmlLang(String value)
    Sets the value of the xmlLang property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDir

    public String getDir()
    Gets the value of the dir property.
    Returns:
      possible object is `String`

  - ### setDir

    public void setDir(String value)
    Sets the value of the dir property.
    Parameters:
      `value` - allowed object is `String`